Summary:	Development framework for C (like GLib)
Summary(pl.UTF-8):	Szkielet programistyczny dla C (podobny do GLiba)
Name:		libmowgli
Version:	1.0.0
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://distfiles.atheme.org/%{name}-%{version}.tar.bz2
# Source0-md5:	e5f99410cb7b161f322b6bccd4b05dbe
URL:		http://atheme.org/projects/mowgli.shtml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib functions (like list
manipulation), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%description -l pl.UTF-8
mowgli to szkielet programistyczny dla C (podobny do GLiba)
udostępniający wysoko wydajne i elastyczne algorytmy. Może być używany
jako suplement do GLiba (dodający nowe funkcje, takie jak słowniki czy
hasze) albo do zastąpienia niektórych wolnych funkcji GLiba (jak
operacje na listach), albo samodzielnie. Udostępnia także potężny
system uchwytów i wygodnego logowania, a także wysoko wydajny alokator
bloków.

%package devel
Summary:	Header files for libmowgli
Summary(pl.UTF-8):	Pliki nagłówkowe libmowgli
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmowgli.

%description devel -l pl.UTF-8
Pliki nagłówkowe libmowgli.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libmowgli.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmowgli.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmowgli.so
%{_includedir}/libmowgli
%{_pkgconfigdir}/libmowgli.pc
%changelog
* Mon Mar 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmowgli.git;a=log;h=master

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 09006a2
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jun 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 3dd4100
- do track soname

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0f2e464
- updated to 1.0.0

* Wed May 04 2011 lisu <lisu@pld-linux.org> 298243c
- updated to 0.9.50
- adapter

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 96ec4af
- unify %attr() %ghost order

* Sat Jul 26 2008 arvenil <arvenil@pld-linux.org> 4ee043a
- up to 0.7.0

* Sat Feb 02 2008 arvenil <arvenil@pld-linux.org> a6b50da
- up to 0.6.1

* Sat Dec 29 2007 arvenil <arvenil@pld-linux.org> 95f44c1
- up to 0.6.0
- ghost back

* Fri Nov 09 2007 arvenil <arvenil@pld-linux.org> 29ae30d
- no more ghost
- release 2

* Wed Nov 07 2007 arvenil <arvenil@pld-linux.org> e5b6607
- up to 0.5.0
- new URL

* Sun Sep 09 2007 arvenil <arvenil@pld-linux.org> 471e8e6
- up to 0.4.0
- changed source URL

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 68d4f34
- pl

* Fri Jul 27 2007 arvenil <arvenil@pld-linux.org> bfc04ec
- release 1

* Mon Jul 23 2007 arvenil <arvenil@pld-linux.org> 2bd565a
- up to 0.3.0

* Sat Jul 21 2007 arvenil <arvenil@pld-linux.org> 229ecbe
- init

